package com.ruoyi.predict.mapper;

import com.ruoyi.predict.domain.WfLoadGrow;

import java.util.List;

/**
 * WfLoadGrowMapper接口
 *
 * @author hlf
 * @date 2022-01-10
 */
public interface WfLoadGrowMapper {
    /**
     * 查询WfLoadGrow
     *
     * @param windplantNo WfLoadGrowID
     * @return WfLoadGrow
     */
    public WfLoadGrow selectWfLoadGrowById(Long windplantNo);

    /**
     * 查询WfLoadGrow列表
     *
     * @param wfLoadGrow WfLoadGrow
     * @return WfLoadGrow集合
     */
    public List<WfLoadGrow> selectWfLoadGrowList(WfLoadGrow wfLoadGrow);

    /**
     * 新增WfLoadGrow
     *
     * @param wfLoadGrow WfLoadGrow
     * @return 结果
     */
    public int insertWfLoadGrow(WfLoadGrow wfLoadGrow);

    /**
     * 修改WfLoadGrow
     *
     * @param wfLoadGrow WfLoadGrow
     * @return 结果
     */
    public int updateWfLoadGrow(WfLoadGrow wfLoadGrow);

    /**
     * 删除WfLoadGrow
     *
     * @param windplantNo WfLoadGrowID
     * @return 结果
     */
    public int deleteWfLoadGrowById(Long windplantNo);

    /**
     * 批量删除WfLoadGrow
     *
     * @param windplantNos 需要删除的数据ID
     * @return 结果
     */
    public int deleteWfLoadGrowByIds(String[] windplantNos);

    int checkWindplantNoUnique(Long windplantNo);
}
